summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorjojii2020-09-10 16:10:55 +0200
committerjojii2020-09-10 16:10:55 +0200
commit011ee79b8a225f3883496d6c3af280bbf387d937 (patch)
tree7d9d2d2e526530c2e01023ad678ca68d5a157ca9
downloadaur-011ee79b8a225f3883496d6c3af280bbf387d937.tar.gz
initial commit
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD33
2 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1345b6037fe
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = instantly
+ pkgdesc = Download instagram photos instantly
+ pkgver = 0.1.0
+ pkgrel = 1
+ url = https://github.com/arlyon/instantly
+ arch = x86_64
+ license = MIT
+ makedepends = cargo
+ makedepends = git
+ source = git+https://github.com/arlyon/instantly#tag=v0.1.0
+ md5sums = SKIP
+
+pkgname = instantly
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..be59ef50184
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Alexander Lyon <arlyon@me.com>
+pkgname=instantly
+pkgver=0.1.0
+pkgrel=1
+pkgdesc="Download instagram photos instantly"
+url="https://github.com/arlyon/instantly"
+license=("MIT")
+source=("git+$url#tag=v$pkgver")
+md5sums=("SKIP")
+arch=("x86_64")
+makedepends=("cargo" "git")
+
+pkgver() {
+ cd $pkgname
+ ( set -o pipefail
+ (cat Cargo.toml | grep "version =" | cut -d "\"" -f2 | head -n1) || # Try to parse Cargo.toml
+ (git describe --abbrev=0 --tags || echo "$pkgver") | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' || # Try to use latest tag
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" # use git revision
+ )
+}
+
+build() {
+ cd $pkgname
+ cargo build --release
+}
+
+package() {
+ cd $pkgname
+ usrdir="$pkgdir/usr"
+ mkdir -p $usrdir
+ install -Dm 755 "target/release/${pkgname}" "${pkgdir}/usr/bin/${pkgname}"
+}
+